module.exports = app => {
  const topic = require("../controllers/topic.controller.js");
  var router = require("express").Router();
  router.get("/:id", topic.topicGetById);
  router.delete("/:id", topic.deleteTopic);
  router.put("/:id", topic.updateTopic);
  router.post("/all", topic.getAllTopic);
  router.post("/add", topic.addTopic);
  app.use('/topic', router);
};
